//
// Alert.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Alert_h
#define vgui_Alert_h

#include "vgui.h"

#include "ResourceID.h"
#include "ControlID.h"

namespace vgui
{
	class Alert
	{
		// This function must be called before showing any alerts
		public:
			static void Initialise(const DialogResourceID& AlertDialogID,
								   ControlID AlertTextControl,
								   ControlID AlertOKButton,
								   ControlID AlertDontTellMeAgainCheckBox = NOCTL);

		public:
			static void Show(const StringResourceID& AlertTitle,
							 const StringResourceID& AlertText,
							 Window *pParent = NULL,
							 const char* szPreferenceName = NULL);

			static void Show(const char *szAlertTitle,
							 const char *szAlertText,
							 Window *pParent = NULL,
							 const char* szPreferenceName = NULL);

		private:
			static DialogResourceID s_AlertDialogID;
			static ControlID s_AlertTextControl;
			static ControlID s_AlertOKButton;
			static ControlID s_AlertDontTellMeAgainCheckBox;

			friend class AlertDialog;
	};
};

#endif // !vgui_Alert_h
