//
// ApplicationImp.h - Application Implementation Interface 
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_ApplicationImp_h
#define vgui_ApplicationImp_h

#include "vgui.h"

#include "Command.h"

#include "String.h"

#include "Application.h"

namespace vgui
{
	class Icon;
	class IconResourceID;
	class MenuResourceID;
	class Application;

	class ApplicationImp
	{
		public:
			ApplicationImp();
			virtual ~ApplicationImp();

			// Link back to Application object
			void SetAppLink(Application *pApp);

		public:
			virtual int Run() = 0;
			virtual bool Exit() = 0;

			virtual void ServiceMessageQueue() = 0;

			virtual void SetNotifyIcon(const Icon& NotifyIcon, 
									   const String& ToolTip,
									   CommandID NotifyCommand = NullCommand) = 0;

			virtual void SetFlashingNotifyIcon(const Icon& NotifyIcon, 
											   const String& ToolTip,
											   CommandID NotifyCommand = NullCommand) = 0;

			virtual void ClearNotifyIcon() = 0;

			virtual bool InstallAccessory(const IconResourceID& IconID,
										  const MenuResourceID& MenuID,
										  const vos::StringResourceID& ToolTipID,
										  int DefaultCommand) = 0;

			virtual void GetCommandLine(String* pCommandLine) = 0;

			virtual OSAppHandle GetOSAppHandle() = 0;

			virtual Menu* GetMainMenu() = 0;

		protected:
			Application* m_pApp;
	};
};

#endif // !vgui_ApplicationImp_h
