//
// AutoPrefRadioGroup.h - simple classes to link preferences to dialog controls.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_AutoPrefRadioGroup_h
#define vgui_AutoPrefRadioGroup_h

#include "IAutoPref.h"

#include "String.h"
#include "CheckBox.h"
#include "RadioGroup.h"

namespace vgui
{
	/**************************************************************************
	
	>	class AutoPrefRadioGroup : public IAutoPref
	
		Author:		Tim Browse
		Date:		10/5/2002
	
		Purpose:	Provide an AutoPref for preferences with more than 2 values,
					linked to radio buttons.
	
	**************************************************************************/
	
	class AutoPrefRadioGroup : public IAutoPref
	{
		public:
			// Ctor
			AutoPrefRadioGroup();

			// Attach the AutoPref to the specified radio button, using the
			// specified preference name (and the preference value strings)
			void Attach(Dialog* pDialog,
						ControlID* pRadioButtonIDs,
						const char* szPrefValues[],
						const vos::String& PrefName,
						const char* szDefaultValue = NULL);

			virtual void CommitPreference();

		private:
			// Radio button group this object is linked to
			RadioGroup* m_pRadioGroup;

			// Details of the radio buttons IDs/pref values
			uint m_cRadioButtons;
			ControlID* m_pRadioButtonIDs;
			const char** m_pszPrefValues;

			// Name of preference to link to
			vos::String m_PrefName;
	};

};

#endif // !vgui_AutoPrefRadioGroup_h
