//
// BrowseDialog.cpp - custom dialog for browsing for folders, printers, or computers.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "BrowseDialog.h"

#include "BrowseDialogImp.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	BrowseDialog::BrowseDialog(BrowseDialogFlags Flags,
							   const Window* pParent) : m_Flags(Flags),
														m_pParent(pParent)
	{
		// Create BrowseDialogImp object
		m_pImp = TheFactory().MakeBrowseDialog();

		// Initialise it
		m_pImp->Initialise(Flags, pParent);
	}

	BrowseDialog::~BrowseDialog()
	{
		// dispose of the implementation object.
		delete m_pImp;
	}

	bool BrowseDialog::BrowseForFolder(const String& Title, 
									   const String& StatusText,
									   vos::FileSpec* pResult)
	{
		return m_pImp->BrowseForFolder(Title, StatusText, pResult);
	}
};

