//
// Button.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "Button.h"

#include "ButtonImp.h"
#include "Window.h"
#include "String.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	Button::Button() : Window(TheFactory().MakeButton())
	{
		// Link back to this Button object
		m_pWindowImp->SetWindowLink(this);
	}

	bool Button::Create(Window* pParent,
						const Rect& Position,
						ControlID ID)
	{
		return GetImp()->Create(pParent, Position, ID);
	}

	Button::operator bool()
	{
		return GetImp()->GetState();
	}

	bool Button::GetState() const
	{
		return GetImp()->GetState();
	}

};


