//
// Button.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Button_h
#define vgui_Button_h

#include "Window.h"
#include "String.h"

namespace vgui
{
	class ButtonImp;

	class Button : public Window
	{
		public:
			Button();

			// Specifying NOCTL will result in a unique control ID being chosen for you.
			bool Create(Window* pParent,
						const Rect& Position,
						ControlID ID = NOCTL);

			operator bool();

			bool GetState() const;

		private:
			ButtonImp* GetImp() const { return (ButtonImp*) m_pWindowImp; }

		private:
			// Copying objects of this class is prohibited
			Button& operator=(const Button& rhs);
	};
};

#endif // !vgui_Button_h
