//
// DateTimeBox.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "DateTimeBox.h"

#include "vos\Time.h"

#include "vos\TimeOfDay.h"
#include "vos\Date.h"

#include "DateTimeBoxImp.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	DateTimeBox::DateTimeBox() : Window(TheFactory().MakeDateTimeBox())
	{
		// Link back to this DateTimeBox object
		m_pWindowImp->SetWindowLink(this);
	}


	DateTimeBox& DateTimeBox::operator=(const Time& NewTime)
	{
		GetImp()->SetTime(NewTime);
		return *this;
	}


	DateTimeBox::operator Time()
	{
		Time TheTime;
		GetImp()->GetTime(&TheTime);
		return TheTime;
	}

	void DateTimeBox::SetTime(const Time& NewTime)
	{
		GetImp()->SetTime(NewTime);
	}

	void DateTimeBox::GetTime(Time* pCurrentTime)
	{
		GetImp()->GetTime(pCurrentTime);
	}

	void DateTimeBox::SetTimeOfDay(const TimeOfDay& NewTime)
	{
		GetImp()->SetTimeOfDay(NewTime);
	}

	void DateTimeBox::GetTimeOfDay(TimeOfDay* pCurrentTime)
	{
		GetImp()->GetTimeOfDay(pCurrentTime);
	}

	void DateTimeBox::SetDate(const Date& NewDate)
	{
		GetImp()->SetDate(NewDate);
	}

	void DateTimeBox::GetDate(Date* pCurrentDate)
	{
		GetImp()->GetDate(pCurrentDate);
	}

	void DateTimeBox::SetFormat(DateTimeFormat NewFormat)
	{
		GetImp()->SetFormat(NewFormat);
	}

	void DateTimeBox::SetCustomFormat(const String& NewFormat)
	{
		GetImp()->SetCustomFormat(NewFormat);
	}

};

