//
// DateTimeBox.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_DateTimeBox_h
#define vgui_DateTimeBox_h

#include "Window.h"
#include "String.h"

namespace vos
{
	class Time;
	class TimeOfDay;
	class Date;
};

namespace vgui
{
	using vos::Time;
	using vos::Date;
	using vos::TimeOfDay;

	class DateTimeBoxImp;

	// Display formats for the control
	typedef enum
	{
		dtf_Time_12Hour,
		dtf_TimeWithSeconds_12Hour,
		dtf_Time_24Hour,
		dtf_TimeWithSeconds_24Hour,
		dtf_Date,
	}
	DateTimeFormat;

	class DateTimeBox : public Window
	{
		public:
			DateTimeBox();

			DateTimeBox& operator=(const Time& NewTime);

			operator Time();

			void SetTime(const Time& NewTime);
			void GetTime(Time* pCurrentTime);
			void SetTimeOfDay(const TimeOfDay& NewTime);
			void GetTimeOfDay(TimeOfDay* pCurrentTime);
			void SetDate(const Date& NewDate);
			void GetDate(Date* pCurrentDate);

			void SetFormat(DateTimeFormat NewFormat);

			void SetCustomFormat(const String& NewFormat);

		public:
			// Message handlers

		private:
			DateTimeBoxImp* GetImp() const { return (DateTimeBoxImp*) m_pWindowImp; }

		private:
			// Copying objects of this class is prohibited
			DateTimeBox& operator=(const DateTimeBox& rhs);
	};
};

#endif // !vgui_DateTimeBox_h
