//
// DateTimeBoxImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_DateTimeBoxImp_h
#define vgui_DateTimeBoxImp_h

#include "vgui.h"

#include "WindowImp_OS.h"

#include "DateTimeBox.h"

namespace vos
{
	class TimeOfDay;
	class Date;
};

namespace vgui
{
	class DateTimeBoxImp : public WindowImp_OS
	{
		public:
			virtual void SetTime(const Time& NewTime) = 0;
			virtual void GetTime(Time* pCurrentTime) = 0;

			virtual void SetTimeOfDay(const TimeOfDay& NewTime) = 0;
			virtual void GetTimeOfDay(TimeOfDay* pCurrentTime) = 0;

			virtual void SetDate(const Date& NewDate) = 0;
			virtual void GetDate(Date* pCurrentDate) = 0;

			virtual void SetFormat(DateTimeFormat NewFormat) = 0;
			virtual void SetCustomFormat(const String& NewFormat) = 0;
	};
};

#endif // !vgui_DateTimeBoxImp_h
