//
// DialogControl.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "DialogControl.h"

#include "DialogControlImp.h"
#include "Window.h"
#include "String.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	DialogControl::DialogControl() : Window(TheFactory().MakeDialogControl())
	{
		// Link back to this DialogControl object
		m_pWindowImp->SetWindowLink(this);
	}

	bool DialogControl::Create(Window* pParent,
							   const Rect& Position,
							   ControlID ID,
							   bool bTabStop)
	{
		return GetImp()->Create(pParent, Position, ID, bTabStop);
	}
};


