//
// DialogControl.h - class for creating customised dialog controls using vgui.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_DialogControl_h
#define vgui_DialogControl_h

#include "Window.h"
#include "String.h"

namespace vgui
{
	class DialogControlImp;

	class DialogControl : public Window
	{
		public:
			DialogControl();

			// Specifying NOCTL will result in a unique control ID being chosen for you.
			bool Create(Window* pParent,
						const Rect& Position,
						ControlID ID,
						bool bTabStop);

		private:
			DialogControlImp* GetImp() const { return (DialogControlImp*) m_pWindowImp; }

		private:
			// Copying objects of this class is prohibited
			DialogControl& operator=(const DialogControl& rhs);
	};
};

#endif // !vgui_DialogControl_h
