//
// DocViewTemplate.h - template for linking view types to document types.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_DocViewTemplate_h
#define vgui_DocViewTemplate_h

#include "vgui.h"

#include <list>

namespace vgui
{
	class Document;
	class View;

	class DocViewTemplate
	{
		public:
			DocViewTemplate(Document* pDocument, View* pView);
			~DocViewTemplate();

			Document* GetDocument();
			View* GetView();

		private:
			Document* m_pDocument;
			View* m_pView;
	};

	class DocViewTemplates : public std::list<DocViewTemplate*>
	{
		public:
			~DocViewTemplates();
	};

};

#endif // !vgui_DocViewTemplate_h
