//
// DocumentClass.h - Class to represent a class of documents, i.e.
//					 the description of a document type edited by an app.
//				 
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_DocumentClass_h
#define vgui_DocumentClass_h

#include "vgui.h"

#include "vOS\FileClass.h"

#include <list>

namespace vgui
{
	class DocumentClass
	{
		public:
			// File type
			vos::FileClass	m_ClassType;

			// Description of this type of file, e.g. "Adobe Photoshop Document"
			vos::String			m_ClassName;
	};

	typedef std::list<DocumentClass> DocumentClasses;
};

#endif // !vgui_DocumentClass_h
