//
// DropDownListImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_DropDownListImp_h
#define vgui_DropDownListImp_h

#include "vgui.h"

#include "ListControlImp.h"

#include "DropDownList.h"

namespace vgui
{
	class DropDownListImp : public ListControlImp
	{
		public:
			virtual void ClearTextSelection() = 0;

			virtual void InsertTextAtCursor(const String& Text,
											EditBoxBehaviour Behaviour) = 0;

			virtual void EnableHistoryBehaviour(bool bEnable) = 0;
			virtual void CommitToHistory(const vos::String& Text) = 0;
			virtual void SetHistoryLimit(int Limit) = 0;
			
			virtual void EnableCommitNotification(bool bEnable) = 0;
	};
};

#endif // !vgui_DropDownListImp_h
