//
// DynamicControlHandler.h
//

#ifndef vgui_DynamicControlHandler_h
#define vgui_DynamicControlHandler_h

#include "DynamicControls.h"

namespace vgui
{
	/**************************************************************************

	>	class DynamicControlHandler

		Author:		Tim Browse
		Date:		25/7/2002

		Purpose:	Pure interface for handlers that modify/veto the
					dynamic behaviour of a dialog control.

					See Dialog::RegisterDynamicControlHandler() for details.

	**************************************************************************/

	class DynamicControlHandler
	{
		public:
			// Alter or veto a dynamic control's behaviour
			virtual bool AddDynamicControl(Dialog* pDialog,
										   TDynamicWindow* pControlInfo) = 0;
	};
};

#endif // !vgui_DynamicControlHandler_h
