//
// ErrorReporter.h - the standard vgui Error reporter object
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_ErrorReporter_h
#define vgui_ErrorReporter_h

#include "vgui.h"
#include "ResourceID.h"
#include "Window.h"
#include "vOS\ErrorManager.h"


namespace vgui
{
	class ErrorReporterInfo
	{
		public:
			ErrorReporterInfo(): m_ContinueButton(NOCTL),
								 m_DebugButton(NOCTL),
								 m_AbortButton(NOCTL),
								 m_ErrorText(NOCTL),
								 m_ErrorDetailsText(NOCTL),
								 m_MoreInfoButton(NOCTL),
								 m_PrevErrorButton(NOCTL)
			{
				// TCILB
			}

		public:
			// parameters for dialog to report errors in debug builds.
			DialogResourceID m_ErrorDialog_Debug;
			ControlID m_ContinueButton;
			ControlID m_DebugButton;
			ControlID m_AbortButton;
			ControlID m_ErrorText;
			ControlID m_ErrorDetailsText;

			// parameters for dialog to report errors in release builds.
			DialogResourceID m_ErrorDialog_Release;

			// Parameters for both
			ControlID m_MoreInfoButton;
			ControlID m_PrevErrorButton;
	};

	class vGuiErrorReporter : public vos::ErrorReporter
	{
		public:
			vGuiErrorReporter(const ErrorReporterInfo& Info);

		public:
			virtual void ReportError(vos::ErrorStack* pErrors);

		private:
			ErrorReporterInfo m_Info;
	};
};

#endif // !vgui_ErrorReporter_h

