//
// FileOpenDialog.h - dialog for specifying where to open a file from.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_FileOpenDialog_h
#define vgui_FileOpenDialog_h

#include "vgui.h"
#include "String.h"
#include "Dialog.h"

#include "vOS\FileSpec.h"

#include "DocumentClass.h"

#include "FileDialogParams.h"

namespace vgui
{
	using vos::FileSpec;

	typedef enum
	{
		// Null flags - normal behaviour
		fodf_Normal				= 0
	}
	FileOpenDialogFlags;

	//
	// NB. Because of variation of platform implementations, FileOpenDialog is
	//     a self contained class, rather than being derived from Dialog.
	//
	class FileOpenDialog
	{
		public:
			FileOpenDialog(FileDialogParams* pParams,
						   const Window* pParent = NULL);

			~FileOpenDialog();

			bool GetFilename(FileSpec* pFilename);

		private:
			FileDialogParams* m_pParams;
			const Window* m_pParent;
	};

};

#endif // !vgui_FileOpenDialog_h
