//
// Font.cpp - Font objects
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "Font.h"

#include "FontImp.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	Font::Font() : m_pFontImp(TheFactory().MakeFont())
	{
	}

	Font::~Font()
	{
		delete m_pFontImp;
	}

	// Creating a font.
	bool Font::Create(const String& TypefaceName,
					  uint PointSize,
					  FontWeight Weight,
					  FontStyle Style,
					  FontFamily Family,
					  FontPitch Pitch)
	{
		return GetImp()->Create(TypefaceName, PointSize, Weight, Style, Family, Pitch);
	}

	uint Font::GetHeightInPixels()
	{
		return GetImp()->GetHeightInPixels();
	}

	uint Font::GetHeightInPoints()
	{
		return GetImp()->GetHeightInPoints();
	}

};



