//
// FontImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_FontImp_h
#define vgui_FontImp_h

#include "Font.h"

namespace vgui
{
	class FontImp
	{
		public:
			virtual ~FontImp() {}

		public:
			//
			// Font Interface
			//

			// Creating a font.
			virtual bool Create(const String& TypefaceName,
								uint PointSize,
								FontWeight Weight,
								FontStyle Style,
								FontFamily Family,
								FontPitch Pitch) = 0;

			virtual uint GetHeightInPixels() = 0;
			virtual uint GetHeightInPoints() = 0;

	};
};

#endif // !vgui_FontImp_h

