//
// IAutoPref.h - simple interface to link preferences to dialog controls.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_IAutoPref_h
#define vgui_IAutoPref_h

namespace vgui
{
	/**************************************************************************
	
	>	class IAutoPref
	
		Author:		Tim Browse
		Date:		10/5/2002
	
		Purpose:	Simple interface to provide Dialog manager with a unified
					interface for dealing with AutoPref objects.

					Having a pure interface means the Dialog manager only 
					needs to know about the IAutoPref interface, so any
					AutoPref object code is only linked in if you actually
					use AutoPref objects.
	
	**************************************************************************/
	
	class IAutoPref
	{
		public:
			// Read preferences from the dialog control(s), and write them
			// back to the user preferences.
			virtual void CommitPreference() = 0;
	};

};

#endif // !vgui_IAutoPref_h
