//
// Icon.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "Icon.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
#if defined VGUI_MSWINDOWS
	Icon::Icon() : m_hIcon(NULL)
	{
	}

	Icon::~Icon()
	{
		if (m_hIcon != NULL)
			::DestroyIcon(m_hIcon);
	}

	
	/**************************************************************************

	>	bool Icon::GetSize(uint* pWidth, uint* pHeight)

		Author:		Tim Browse
		Date:		24/03/2001
		Outputs:	pWidth, pHeight - the size of the icon
		Returns:	true => icon size obtained ok;
					false => a problem occurred

		Purpose:	Get the size of the icon, in pixels.

	**************************************************************************/

	bool Icon::GetSize(uint* pWidth, uint* pHeight)
	{
		// UNIMPLEMENTED
		return false;
	}

#elif defined VGUI_MACOS
	Icon::Icon() : m_hIconFamily(NULL)
	{
	}

	Icon::~Icon()
	{
	}

	bool Icon::GetSize(uint* pWidth, uint* pHeight)
	{
		// UNIMPLEMENTED
		return false;
	}

#endif
};
