//
// Icon.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Icon_h
#define vgui_Icon_h

#include "vgui.h"

namespace vgui
{
	class Icon
	{
		public:
			Icon();
			~Icon();

			// Get icon size (in pixels)
			bool GetSize(uint* pWidth, uint* pHeight);

#if defined VGUI_MSWINDOWS
	
		public:
			HICON GetIconHandle() const { return m_hIcon; }

		private:
			HICON m_hIcon;

#elif defined VGUI_MACOS
	
		public:
			Handle GetIconHandle() const { return m_hIconFamily; }

		private:
			Handle m_hIconFamily;

#endif

		// Allow access by icon resource ID class, so it can load icons for us.
		friend class IconResourceID;

	};
};

#endif // !vgui_Icon_h
