//
// IconStore.h - repository for icons
//

#ifndef inc_vgui_IconStore_h
#define inc_vgui_IconStore_h

#include "ResourceID.h"

#include <map>

namespace vgui
{
	typedef int TIconID;

	#define kIconID_None (-1)

	//
	// Types used to maintain icon store.
	//

	typedef std::map<vos::SimpleResourceID, Icon*> Icons;

	typedef std::map<TIconID, Icon*> IconMap;


	/**************************************************************************

	>	class IconStore

		Author:		Tim Browse

		Date:		24/03/2001

		Purpose:	Centralise the storage/management of a set of icons.

	**************************************************************************/

	class IconStore
	{
		public:
			~IconStore();

			// Add an icon to the icon store
			bool AddIcon(TIconID ID, const IconResourceID& ResID);

			// Access an icon
			Icon& GetIcon(TIconID ID) const;

		private:
			// The icons in the store
			Icons m_Icons;

			// The mapping from ID to Icon
			IconMap m_IconMap;

			// Default icon
			static Icon m_DefaultIcon;
	};
}

#endif // !inc_vgui_IconStore_h
