//
// ImageButton.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "ImageButton.h"

#include "ImageButtonImp.h"
#include "Window.h"
#include "String.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	ImageButton::ImageButton() : Window(TheFactory().MakeImageButton())
	{
		// Link back to this ImageButton object
		m_pWindowImp->SetWindowLink(this);
	}

	bool ImageButton::Create(Window* pParent,
							  const Rect& Position,
							  ControlID ID)
	{
		return GetImp()->Create(pParent, Position, ID);
	}

	ImageButton::operator bool()
	{
		return GetImp()->GetState();
	}

	bool ImageButton::GetState() const
	{
		return GetImp()->GetState();
	}

	void ImageButton::SetImage(TImageButton Type)
	{
		GetImp()->SetImage(Type);
	}
};


