//
// ImageButton.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_ImageButton_h
#define vgui_ImageButton_h

#include "Window.h"
#include "String.h"

namespace vgui
{
	class ImageButtonImp;

	//
	// TImageButton - specifies what type of button to draw.
	//
	typedef enum
	{
		ImageButton_None,
		ImageButton_CheckBox_Unchecked,
		ImageButton_CheckBox_Checked,
		ImageButton_PopupMenu
	}
	TImageButton;

	class ImageButton : public Window
	{
		public:
			ImageButton();

			void SetImage(TImageButton Type);

			// Specifying NOCTL will result in a unique control ID being chosen for you.
			bool Create(Window* pParent,
						const Rect& Position,
						ControlID ID = NOCTL);

			operator bool();

			bool GetState() const;

		private:
			ImageButtonImp* GetImp() const { return (ImageButtonImp*) m_pWindowImp; }

		private:
			// Copying objects of this class is prohibited
			ImageButton& operator=(const ImageButton& rhs);
	};
};

#endif // !vgui_ImageButton_h
