//
// JobController.h
//

#ifndef inc_JobController_h
#define inc_JobController_h

namespace vgui
{
	/**************************************************************************
	
	>	class JobController
	
		Author:		Tim Browse
		Date:		2/5/2002
	
		Purpose:	Provide a basic interface for ProgressWorker_XXX class
					objects to be able to interact with the code that is
					controlling them.
	
	**************************************************************************/
	
	class JobController
	{
		public:
			// Change the displayed description of the job
			// (e.g. so multi-stage jobs can update the text on screen)
			virtual void SetJobDescription(const vos::String& Description);

			// Update any progress display to use the new percentage value
			virtual void UpdateJobProgressDisplay(uint PercentComplete);

			// Hide progress display - for jobs that have indeterminate length
			virtual void HideProgressDisplay();

			// Find out if the user has cancelled the operation yet.
			virtual bool IsJobCancelled() const;
	};
};


#endif //! inc_IProgressDisplay_h
