//
// ListBoxImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_ListBoxImp_h
#define vgui_ListBoxImp_h

#include "vgui.h"

#include "Window.h"
#include "String.h"
#include "ResourceID.h"

#include "ListControlImp.h"

namespace vgui
{
	class ListBox;
	class Colour;
	
	class ListBoxImp : public ListControlImp
	{
		public:
			//
			// Multi-column support for list boxes
			//

			virtual bool SetNumberOfColumns(uint nColumns) = 0;
			virtual uint GetNumberOfColumns() = 0;
			virtual void ShowColumnHeaders(bool bShow) = 0;
			virtual bool SetColumnName(uint iColumn, const String& ColumnName) = 0;
			virtual bool SetColumnWidth(uint iColumn, uint WidthInPixels) = 0;
			virtual uint GetColumnWidth(uint iColumn) = 0;
			virtual bool AutoSizeColumn(uint iColumn) = 0;

			virtual bool SetItemText(int iItem, 
									 const String& Text,
									 int nColumn) = 0;

			virtual bool GetItemText(int iItem, String* pItemName, int nColumn) const = 0;

			//
			// Redraw control
			//
			virtual void SetRowColour(uint Row, const Colour& RowColour) = 0;
			virtual void UseDefaultRowColour(uint Row) = 0;

			// Checkbox control
			virtual void EnableCheckboxes(bool bEnable) = 0;
			virtual void SetCheckState(int iItem, ControlState ItemState) = 0;
			virtual ControlState GetCheckState(int iItem) = 0;
	};
};

#endif // !vgui_ListBoxImp_h
