//
// MenuItem.h - info about a menu item
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_MenuItem_h
#define vgui_MenuItem_h

#include "vgui.h"

namespace vgui
{

#if defined VGUI_MSWINDOWS

	// MenuCommandID is just an int on Win32
	typedef int MenuCommandID;

#elif defined VGUI_MACOS

	// MenuCommandID is just an int on MacOS, too
	typedef int MenuCommandID;

#else

#error MenuCommandID needs porting

#endif

	class MenuItem
	{
		public:
			// Textual label
			vos::String m_Text;

			// Command ID of the menu
			MenuCommandID m_ID;

			//
			// State flags
			//

			// Is item enabled (or greyed out?)
			bool m_bEnabled;

			// Is it checked?
			bool m_bChecked;

			// Is it a separator?  (no text, just a separator)
			// NB. I bet this flag will cause problems in porting...
			bool m_bSeparator;

		public:
			MenuItem() : m_bEnabled(true),
						 m_bChecked(false),
						 m_bSeparator(false),
						 m_ID(0)
			{
				// TCILB
			}
	};
}

#endif // !vgui_MenuItem_h
