//
// MessageParams.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_MessageResults_h
#define vgui_MessageResults_h

#include "vgui.h"

namespace vgui
{
	/**************************************************************************
	
	>	class MessageParams
	
		Author:		Tim Browse
		Date:		23/8/2002
	
		Purpose:	Internal class used to pass around data about a vGUI message
					in a generic form.  The data is filtered and passed to
					message handlers in an appropriate form.

					If you're just using vGUI as a library, you should never
					need to use one of objects.

	**************************************************************************/
	
	class MessageParams
	{
		public:
			// TODO: Explain how we know which fields are used.
			int32 m_Int1;
			int32 m_Int2;
			int32 m_Int3;
			int32 m_Int4;

			bool m_bFlag1;
			bool m_bFlag2;
			bool m_bFlag3;
			bool m_bFlag4;
	};
};

#endif // !vgui_MessageParams_h

