//
// Messages.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Messages_h
#define vgui_Messages_h

#include "vgui.h"

namespace vgui
{
	typedef enum
	{
		mt_NONE = 0,		// Special value.

		// Command handling
		mt_COMMAND,			// Command (menu item, toolbar button, hot-key etc)

		// Window operations
		mt_REPAINT,			// Time to redraw the window

		//
		// Control notifications
		//

		// Button
		// RadioButton
		// CheckBox
		mt_BN_CLICKED,

		// EditBox

		mt_EBN_TEXTCHANGING,
		mt_EBN_TEXTCHANGED,
		mt_EBN_TEXTCOMMIT,
		mt_EBN_LOSEFOCUS,
		mt_EBN_GAINFOCUS,

		// ListBox
		mt_LBN_SELCHANGED,
		mt_LBN_DOUBLECLICK,
		mt_LBN_CHECKBOXCHANGED,

		// DropDownList
		// DropListEditBox
		mt_DLN_SELCHANGED,
		mt_DLN_EDITBOXCHANGED,

		// Slider
		mt_SLN_MINIMUM,		// Slider moved to minimum value
		mt_SLN_MAXIMUM,		// Slider moved to maximum value

		mt_SLN_TRACKPOS,	// User is dragging slider
		mt_SLN_ENDTRACK,	// User has finished dragging slider

		mt_SLN_DOWN,		// Slider is decreased by one unit
		mt_SLN_UP,			// Slider is increased by one unit

		mt_SLN_PAGEDOWN,	// Slider is decreased by one page unit
		mt_SLN_PAGEUP,		// Slider is increased by one page unit

		mt_SLN_POSCHANGE,	// Slider has a new position
		

		// Tab control
		mt_TAB_CHANGING,	// Selected Tab is about to change
		mt_TAB_SELECTED,	// Tab has been selected by user


		// Raw OS-dependent message.
		mt_RAWOS,

		// User defined messages
		mt_USER
	}
	TMessageType;
};

#endif // !vgui_Messages_h
