//
// Metrics.h - metric information about GUI elements
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Metrics_h
#define vgui_Metrics_h

#include "vgui.h"

namespace vgui
{
	class Dialog;

	class Metrics
	{
		public:
			static uint GetTextMargin();

			// Default control sizes (in pixels)
			static uint GetButtonWidth(Dialog* pParent);
			static uint GetButtonHeight(Dialog* pParent);
			static uint GetProgressBarHeight(Dialog* pParent);

			// Width of 3D border on controls
			static uint GetControl3DBorderSize();
			
			// Mouse wheel delta
			static uint GetMouseWheelDelta();

			// Extra width of a list box column, used to provide a gap
			// or draw window furniture, which is not included in the
			// result of ListBox::GetColumnWidth() (or used by
			// ListBox::SetColunWidth()).
			static uint GetListBoxColumnGap();

			// Scroll bar sizes
			static uint GetHorizontalScrollBarHeight();
			static uint GetVerticalScrollBarWidth();
			
			// Size/position of primary display
			static vgui::Rect GetPrimaryDisplayPosition();
	};
};

#endif // !vgui_Metrics_h
