//
// Mouse.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Mouse_h
#define vgui_Mouse_h

#include "vgui.h"

namespace vgui
{
	typedef int TMouseButton;

	enum
	{
		// Standard mouse buttons
		MouseButton_Left	= BIT(1),
		MouseButton_Middle	= BIT(2),
		MouseButton_Right	= BIT(3),

		// Extended mouse buttons (e.g. MS Intellimouse Explorer)
		MouseButton_4		= BIT(4),
		MouseButton_5		= BIT(4),

		// Mouse event modifier keys
		MouseButton_Control = BIT(16),
		MouseButton_Shift	= BIT(17),
		MouseButton_Alt		= BIT(18),
	};
}

#endif // !vgui_Mouse_h


