//
// PopupMenuButton.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "PopupMenuButton.h"

#include "PopupMenuButtonImp.h"

namespace vgui
{
	PopupMenuButton::PopupMenuButton() : Window(TheFactory().MakePopupMenuButton())
	{
		// Link back to this PopupMenuButton object
		m_pWindowImp->SetWindowLink(this);
	}

	void PopupMenuButton::Attach(class vgui::Dialog* pDialog,
								 ControlID ID,
								 MenuResourceID rMenu,
								 PopupMenuHandler* pPopupHandler)
	{
		// Attach to control...
		Window::Attach(pDialog, ID);

		// And attach menu etc to the button
		GetImp()->AttachMenu(rMenu, pPopupHandler);
	}

	Menu* PopupMenuButton::GetMenu()
	{
		return &m_PopupMenu;
	}
};
