//
// PopupMenuButton.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_PopupMenuButton_h
#define vgui_PopupMenuButton_h

#include "vgui.h"

#include "Menu.h"
#include "Window.h"

namespace vgui
{
	class PopupMenuHandler;
	
	/**************************************************************************
	
	>	class PopupMenuButton : public Window
	
		Author:		Tim Browse
		Date:		8/8/2002
	
		Purpose:	Provide a simple way of making a button show a popup
					menu when it is clicked.

					Menu commands from this menu will be routed in the normal
					way (i.e. to the parent dialog).

					Call GetMenu() to manipulate the menu.

	**************************************************************************/
	
	class PopupMenuButton : public Window
	{
		public:
			PopupMenuButton();

			void Attach(class vgui::Dialog* pDialog,
						ControlID ID,
						MenuResourceID rMenu,
						PopupMenuHandler* pPopupHandler = NULL);

			Menu* GetMenu();

		private:
			// Reference to the OS menu object
			Menu m_PopupMenu;

		private:
			PopupMenuButtonImp* GetImp() const { return (PopupMenuButtonImp*) m_pWindowImp; }

		private:
			// Copying objects of this class is prohibited
			PopupMenuButton& operator=(const PopupMenuButton& rhs);

	};
};

#endif // !vgui_PopupMenuButton_h
