//
// PopupMenuButtonImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_PopupMenuButtonImp_h
#define vgui_PopupMenuButtonImp_h

#include "vgui.h"

#include "WindowImp_OS.h"

#include "ResourceID.h"
#include "Controls.h"

#include OS_ImageButtonImp_h

namespace vgui
{
	class PopupMenuHandler;

	/**************************************************************************
	
	>	class PopupMenuButtonImp : public WindowImp_OS
	
		Author:		Tim Browse
		Date:		8/8/2002
	
		Purpose:	Provide a simple way of making a button show a popup
					menu when it is clicked.

					See PopupMenuButton.

	**************************************************************************/
	
	class PopupMenuButtonImp : public OS_Imp(ImageButton)
	{
		public:
			virtual void AttachMenu(MenuResourceID rMenu,
									PopupMenuHandler* pPopupHandler = NULL) = 0;
	};
};

#endif // !vgui_PopupMenuButtonImp_h
