//
// ProgressBar.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "ProgressBar.h"

#include "ProgressBarImp.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	ProgressBar::ProgressBar() : Window(TheFactory().MakeProgressBar())
	{
		// Link back to this ProgressBar object
		m_pWindowImp->SetWindowLink(this);
	}
	
	void ProgressBar::SetRange(int Start, int End)
	{
		GetImp()->SetRange(Start, End);
	}

	void ProgressBar::SetPosition(int Position)
	{
		GetImp()->SetPosition(Position);
	}

	bool ProgressBar::Create(Window* pParent,
							 const vgui::Rect& Position,
							 ControlID ID)
	{
		// Remember parent window
		m_pParent = pParent;

		// Create child control at position requested by caller.
		ProgressBarImp* pImp = (ProgressBarImp*) m_pWindowImp;
		return pImp->Create(pParent, Position, ID);
	}

};

