//
// ProgressBar.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_ProgressBar_h
#define vgui_ProgressBar_h

#include "Window.h"
#include "String.h"

namespace vgui
{
	class ProgressBarImp;

	class ProgressBar : public Window
	{
		public:
			ProgressBar();

			void SetRange(int Start, int End);
			void SetPosition(int Position);

			bool Create(Window* pParent, 
						const Rect& Position,
						ControlID ID);

		private:
			ProgressBarImp* GetImp() const { return (ProgressBarImp*) m_pWindowImp; }

		private:
			// Copying objects of this class is prohibited
			ProgressBar& operator=(const ProgressBar& rhs);
	};
};

#endif // !vgui_ProgressBar_h
