//
// RadioButton.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "RadioButton.h"

#include "RadioButtonImp.h"
#include "Window.h"
#include "String.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	RadioButton::RadioButton() : Window(TheFactory().MakeRadioButton())
	{
		// Link back to this RadioButton object
		m_pWindowImp->SetWindowLink(this);
	}

	RadioButton& RadioButton::operator=(bool NewState)
	{
		// Set state according to flag
		if (NewState)
		{
			GetImp()->SetState(cs_Checked);
		}
		else
		{
			GetImp()->SetState(cs_Unchecked);
		}

		// Return reference
		return *this;
	}

	RadioButton& RadioButton::operator=(ControlState NewState)
	{
		// Set state
		GetImp()->SetState(NewState);

		// Return reference
		return *this;
	}

	RadioButton::operator bool()
	{
		return (GetImp()->GetState() == cs_Checked);
	}

	bool RadioButton::GetState() const
	{
		return (GetImp()->GetState() == cs_Checked);
	}

	ControlState RadioButton::GetTriState() const
	{
		return GetImp()->GetState();
	}

	bool RadioButton::Create(Window* pParent,
							 const Rect& Position,
							 bool bAutoState,
							 ControlID ID)
	{
		return GetImp()->Create(pParent, Position, bAutoState, ID);
	}

};


