//
// RadioButton.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_RadioButton_h
#define vgui_RadioButton_h

#include "Window.h"
#include "String.h"

#include "Controls.h"

namespace vgui
{
	class RadioButtonImp;

	class RadioButton : public Window
	{
		public:
			RadioButton();

			RadioButton& operator=(bool NewState);
			RadioButton& operator=(ControlState NewState);

			operator bool();

			bool GetState() const;
			ControlState GetTriState() const;

			// Specifying NOCTL will result in a unique control ID being chosen for you.
			bool Create(Window* pParent,
						const Rect& Position,
						bool bAutoState = true,
						ControlID ID = NOCTL);
		private:
			RadioButtonImp* GetImp() const { return (RadioButtonImp*) m_pWindowImp; }

		private:
			// Copying objects of this class is prohibited
			RadioButton& operator=(const RadioButton& rhs);
	};
};

#endif // !vgui_RadioButton_h
