//
// RadioGroup.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_RadioGroup_h
#define vgui_RadioGroup_h

#include "Window.h"
#include "String.h"

#include "Controls.h"

#include <vector>

namespace vgui
{
	class RadioGroupImp;

	class RadioGroup
	{
		public:
			RadioGroup(Window *pParent);
			RadioGroup(Window *pParent, ControlID *pControlIDs);
			
			// Add IDs to the group
			int AddID(ControlID ID);
			int AddIDs(ControlID *pControlIDs);

			// Read/write
			operator ControlID() const;
			RadioGroup& operator=(ControlID ID);

			void SetState(ControlID ID);
			ControlID GetState() const;

		private:
			// Window that the readio buttons are in
			Window *m_pWindow;

			// Array of IDs in this group
			ControlIDs m_IDs;

		private:
			// Copying objects of this class is prohibited
			RadioGroup& operator=(const RadioGroup& rhs);
	};
};

#endif // !vgui_RadioGroup_h
