//
// Rect.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "Rect.h"
#include <stdlib.h>

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	bool Rect::IsEqual(const Rect& rcCompare) const
	{
		return (left == rcCompare.left) && 
			   (right == rcCompare.right) &&
			   (top == rcCompare.top) &&
			   (bottom == rcCompare.bottom);
	}

	void Rect::Translate(int nDistanceX, int nDistanceY)
	{
		left += nDistanceX;
		right += nDistanceX;

		top += nDistanceY;
		bottom += nDistanceY;
	}

	void Rect::Union(const Rect& r1, const Rect& r2)
	{
		left = min(r1.left, r2.left);
		top = min(r1.top, r2.top);

		right = max(r1.right, r2.right);
		bottom = max(r1.bottom, r2.bottom);
	}

};
