//
// RedrawGC.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "RedrawGC.h"

#include "RedrawGCImp.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	RedrawGC::RedrawGC(const Window *pWindow) : GC(TheFactory().MakeRedrawGC())
	{
		// Start the redraw off
		GetImp()->StartRedraw(pWindow);
	}

	RedrawGC::~RedrawGC()
	{
		// Redraw has finished
		GetImp()->EndRedraw();
	}
};

