//
// ResourceFile.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_ResourceFile_h
#define vgui_ResourceFile_h

#include "vgui.h"

#include "vOS\MemoryFile.h"

#include "ResourceID.h"

namespace vgui
{
	/**************************************************************************

		class ResourceFile : public MemoryFile

		Author:		Tim Browse
		Date:		29/11/99
		Purpose:	Concrete File class for dealing with resource-based files.

	**************************************************************************/

	class ResourceFile : public vos::MemoryFile
	{
		public:
			// Constructors/Destructor
			ResourceFile();
			~ResourceFile();

			// Opening and closing files
			Error Open(const RawDataResourceID& FileID, vos::FileMode Mode = vos::fam_Full);
			void Close();

		private:
	};
};


#endif // !vgui_ResourceFile_h

