//
// Shell.h - the Shell class
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Shell_h
#define vgui_Shell_h

#include "vGUI.h"

namespace vgui
{
	/**************************************************************************
	
		class Shell
	
		Author:		Tim Browse
	
		Date:		2001/10/28
	
		Purpose:	Access whatever functions the host GUI's desktop
					shell will provide.

					This includes operations such as opening a particular
					file as if it was double-clicked by the user on the 
					desktop, opening a window onto a particular folder,
					and so on.
	
	**************************************************************************/
	
	class Shell
	{
		public:
			static Error OpenFolder(const vos::FileSpec& FolderName);
	};
};

#endif // !vgui_Shell_h
