//
// vgui/Size.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Size_h
#define vgui_Size_h

namespace vgui
{
	class Size
	{
		public:

			//
			// Constructors
			//

			Size() : m_Width(0), m_Height(0) {}

			// Construct from two integer co-ordinates.
			Size(int Width, int Height) : m_Width(Width), m_Height(Height)
				{}

			//
			// Comparison operators
			//

			bool operator==(const Size& rhs)
			{
				return (m_Width == rhs.m_Width) && (m_Height == rhs.m_Height);
			}

			bool operator!=(const Size& rhs)
			{
				return (m_Width != rhs.m_Width) || (m_Height != rhs.m_Height);
			}

			// Returns true if the coordinates of this point are 0, 0, false otherwise.
			bool IsEmpty() const
			{
				return ((m_Width != 0) && (m_Height != 0)); 
			}


		public:
			// The data
			int m_Width;
			int m_Height;
	};
};

#endif // !vgui_Size_h


