//
// Slider.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "Slider.h"

#include "SliderImp.h"
#include "Window.h"
#include "String.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	Slider::Slider() : Window(TheFactory().MakeSlider())
	{
		// Link back to this Slider object
		m_pWindowImp->SetWindowLink(this);
	}

	void Slider::SetRange(int Min, int Max)
	{
		GetImp()->SetRange(Min, Max);
	}

	void Slider::GetRange(int* pMin, int* pMax) const
	{
		GetImp()->GetRange(pMin, pMax);
	}

	void Slider::SetPos(int Pos)
	{
		GetImp()->SetPos(Pos);
	}

	int Slider::GetPos() const
	{
		return GetImp()->GetPos();
	}

	bool Slider::Create(Window* pParent, const Rect& rcPosition, ControlID ID)
	{
		if (GetImp()->Create(pParent, rcPosition, ID))
		{
			m_pParent = pParent;
			return true;
		}
		else
		{
			return false;
		}
	}

};


