//
// Slider.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Slider_h
#define vgui_Slider_h

#include "Window.h"
#include "String.h"

namespace vgui
{
	class SliderImp;

	class Slider : public Window
	{
		public:
			Slider();

			// Change/get limits of slider range
			void SetRange(int Min, int Max);
			void GetRange(int* pMin, int* pMax) const;

			// Set/get the slider position
			void SetPos(int Pos);
			int GetPos() const;

			bool Create(Window* pParent, const Rect& rcPosition, ControlID ID);

		public:
			// Message handlers

		private:
			SliderImp* GetImp() const { return (SliderImp*) m_pWindowImp; }

		private:
			// Copying objects of this class is prohibited
			Slider& operator=(const Slider& rhs);
	};
};

#endif // !vgui_Slider_h
