//
// TabControl.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "TabControl.h"

#include "TabControlImp.h"

namespace vgui
{
	TabControl::TabControl() : Window(TheFactory().MakeTabControl())
	{
		// Link back to this TabControl object
		m_pWindowImp->SetWindowLink(this);
	}

	bool TabControl::AddTab(const TabResourceID& TabID, 
							const vos::String& TabName)
	{
		return GetImp()->AddTab(TabID, TabName);
	}

	bool TabControl::AddTab(const TabResourceID& TabID, 
							const vgui::StringResourceID& TabName)
	{
		return AddTab(TabID, TabName.Load());
	}
	
	bool TabControl::SelectTab(const TabResourceID& TabID)
	{
		return GetImp()->SelectTab(TabID);
	}

	TabResourceID TabControl::GetSelectedTab() const
	{
		return GetImp()->GetSelectedTab();
	}

	bool TabControl::Create(Window* pParent,
							const Rect& Position,
							ControlID ID)
	{
		return GetImp()->Create(pParent, Position, ID);
	}

	bool TabControl::OnResize(int NewWidth, int NewHeight)
	{
		// Make sure child tabs are resized correctly
		return GetImp()->OnResize(NewWidth, NewHeight);
	}

};
