//
// TabControlImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_TabControlImp_h
#define vgui_TabControlImp_h

#include "vgui.h"

#include "WindowImp_OS.h"

namespace vgui
{
	class TabControlImp : public WindowImp_OS
	{
		public:

			virtual bool AddTab(const DialogResourceID& TabID, 
								const vos::String& TabName) = 0;

			virtual bool SelectTab(const DialogResourceID& TabID) = 0;

			virtual DialogResourceID GetSelectedTab() const = 0;


			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID) = 0;

			virtual bool OnResize(int NewWidth, int NewHeight) = 0;

	};
};

#endif // !vgui_TabControlImp_h
