//
// View.cpp - basic view class for vgui-based document-centric apps.
//			  (used to display data in Document objects)
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "View.h"

#include "Document.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	View::View() : m_pDocument(NULL)
	{
	}

	View::~View()
	{
	}

	void View::Initialise(Document *pDocument)
	{
		// Link to this document
		m_pDocument = pDocument;

		// Create this view's window - parent window is inferred by the
		// framework, so we don't specify it.
		Create(NULL, ws_DocumentView, pDocument->GetTitle());
	}

	void View::NotifyDocumentTitleChanged()
	{
		// Update title from document
		SetText(m_pDocument->GetTitle());
	}

	bool View::OnClose()
	{
		// Over-ride and return true when you don't want the view to close.
		// (true => message handled, so no further close processing is done.)
		return false;
	}
};
