//
// View.h - basic view class for vgui-based document-centric apps.
//			(used to display data in Document objects)
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_View_h
#define vgui_View_h

#include "vgui.h"

#include "Window.h"

#include <list>

namespace vgui
{
	class Document;

	class View : public Window
	{
		public:
			View();
			virtual ~View();

			virtual View* ClonePrototype() = 0;

			virtual void Initialise(Document *pDocument);

			Document* GetDocument() { return m_pDocument; }

			void NotifyDocumentTitleChanged();

			// Called when a view is to be closed.
			bool OnClose();

		protected:
			// The document being displayed by this view
			Document* m_pDocument;
	};

	typedef std::list<View*> Views;
};

#endif // !vgui_View_h
