//
// Win32_BrowseDialogImp.h - custom dialog for browsing for folders, printers, or computers.
//

#ifndef vgui_Win32_BrowseDialogImp_h
#define vgui_Win32_BrowseDialogImp_h

#include "..\BrowseDialogImp.h"

#include "vOS\FileSpec.h"

namespace vgui
{
	class Win32_WindowImp;

	class Win32_BrowseDialogImp : public BrowseDialogImp
	{
		public:
			Win32_BrowseDialogImp();
			~Win32_BrowseDialogImp();

		public:
			virtual void Initialise(BrowseDialogFlags Flags,
									const Window* pParent = NULL);

			virtual bool BrowseForFolder(const String& Title, 
										 const String& StatusText,
										 vos::FileSpec* pResult);

			BrowseDialogFlags GetFlags() const { return m_Flags; }

			bool IsInWindowsFolder(const String& Folder);

		private:
			BrowseDialogFlags m_Flags;
			Win32_WindowImp* m_pParent;

		public:
			// Default folder to return if user doesn't choose a correct one - for use
			// by the callback.
			vos::FileSpec m_DefaultFolder;
			String m_Leafname;

			// Status line text
			String m_StatusText;

			// Where windows is
			vos::FileSpec m_WindowsFolder;
	};

};

#endif // !vgui_Win32_BrowseDialogImp_h
