//
// Win32_ButtonImp.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_ButtonImp_h
#define vgui_Win32_ButtonImp_h

#include "..\vgui.h"

#include "..\ButtonImp.h"

namespace vgui
{
	class Win32_ButtonImp : public ButtonImp
	{
		public:
			//
			// Constructor
			//
			Win32_ButtonImp() {}

			// We veto attachments to make sure they're the right
			// type of control.
			virtual void Attach(HWND hWnd);

		public:
			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID);

			virtual bool GetState();

		protected:
			// Translating Win32 EditBox notification messages
			virtual ControlTranslation TranslateControlNotification(const Win32_MessageInfo& MsgInfo,
																	TMessageType* pMsgType,
																	LRESULT* pResult,
																	MessageParams* pParams);
	};
};

#endif // !vgui_Win32_ButtonImp_h


