//
// Win32_CheckBoxImp.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_CheckBoxImp_h
#define vgui_Win32_CheckBoxImp_h

#include "..\vgui.h"

#include "..\CheckBoxImp.h"

namespace vgui
{
	class Win32_CheckBoxImp : public CheckBoxImp
	{
		public:
			//
			// Constructor
			//
			Win32_CheckBoxImp() {}

			// We veto attachments to make sure they're the right
			// type of control.
			virtual void Attach(HWND hWnd);

		public:
			virtual ControlState GetState();
			virtual void SetState(ControlState NewState);
			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID);

		private:
			ControlTranslation TranslateControlNotification(const Win32_MessageInfo& MsgInfo,
															TMessageType* pMsgType,
															LRESULT* pResult,
															MessageParams* pParams);

			CheckBox* GetCheckBox() { return (CheckBox*) m_pWindow; }
	};
};

#endif // !vgui_Win32_CheckBoxImp_h


