//
// Win32_CustomButton.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_CustomButton_h
#define vgui_Win32_CustomButton_h

#include "Win32_CustomControl.h"

#include "..\ImageButton.h"

namespace vgui
{
	/**************************************************************************
	
	>	class Win32_CustomButton : public Win32_CustomControl
	
		Author:		Tim Browse
		Date:		20/8/2002
	
		Purpose:	Provide a simple control class for customising static
					controls - allows a particular type of image to be
					drawn easily in a window/dialog.

					For example, Win32_DialogImp uses this class to draw
					the resize gripper in the bottom right of resizable
					dialogs.
	
	**************************************************************************/
	
	class Win32_CustomButton : public Win32_CustomControl
	{
		public:
			// Constructor
			Win32_CustomButton();

			// Use this to specify a common appearance
			void SetType(TImageButton ButtonType);

			// Handle WM_DRAWITEM requests
			virtual LRESULT ControlWndProc(HWND hWnd, UINT message, 
										   WPARAM wParam, LPARAM lParam);

		private:
			// Returns the class of this control, appropriate for
			// XP theme support.
			virtual LPCWSTR GetThemeClass() const;

			void OnDrawItem(HWND hWnd, DRAWITEMSTRUCT* pDIS);
			
		private:
			// What to draw in this control
			TImageButton m_Type;
	};
};

#endif // !vgui_Win32_CustomButton_h


