//
// Win32_DateTimeBoxImp.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_DateTimeBoxImp_h
#define vgui_Win32_DateTimeBoxImp_h

#include "..\vgui.h"

#include "..\DateTimeBoxImp.h"

#include "Win32_Headers.h"

namespace vgui
{
	// Simple class - main work is done by Win32_WindowImp, because
	// that's the way it works under Win32.
	class Win32_DateTimeBoxImp : public DateTimeBoxImp
	{
		public:
			//
			// Constructor
			//
			Win32_DateTimeBoxImp() {}

			// We veto attachments to make sure they're the right
			// type of control.
			virtual void Attach(HWND hWnd);

		public:
			virtual void SetTime(const Time& NewTime);
			virtual void GetTime(Time* pCurrentTime);

			virtual void SetTimeOfDay(const TimeOfDay& NewTime);
			virtual void GetTimeOfDay(TimeOfDay* pCurrentTime);

			virtual void SetDate(const Date& NewDate);
			virtual void GetDate(Date* pCurrentDate);

			virtual void SetFormat(DateTimeFormat NewFormat);
			virtual void SetCustomFormat(const String& NewFormat);

		private:
			void TimeToSystemTime(const Time& TheTime,
								  SYSTEMTIME* pSysTime) const;

	};
};

#endif // !vgui_Win32_WindowImp_h


