//
// Win32_EditBoxImp.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_EditBoxImp_h
#define vgui_Win32_EditBoxImp_h

#include "..\vgui.h"

#include "..\EditBoxImp.h"

namespace vgui
{
	// Simple class - main work is done by Win32_WindowImp, because
	// that's the way it works under Win32.
	class Win32_EditBoxImp : public EditBoxImp
	{
		public:
			//
			// Constructor
			//
			Win32_EditBoxImp();

			virtual bool SetText(const String& Text);

			virtual void AppendText(const String& Text);
			virtual void InsertTextAtCursor(const String& Text,
											EditBoxBehaviour Behaviour = eb_Normal);

			// We veto attachments to make sure they're the right
			// type of control.
			virtual void Attach(HWND hWnd);

			virtual bool Create(Window* pParent, const Rect& Position, ControlID ID);

		protected:
			// Translating Win32 EditBox notification messages
			virtual ControlTranslation TranslateControlNotification(const Win32_MessageInfo& MsgInfo,
																	TMessageType* pMsgType,
																	LRESULT* pResult,
																	MessageParams* pParams);

			LRESULT WindowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
			virtual void OnControlResizing();
			virtual void OnControlResize();

		protected:
			bool m_bResizing;

			// Position of selection when we have lost focus.
			int m_iSelectionStart;
			int m_iSelectionEnd;
	};
};

#endif // !vgui_Win32_WindowImp_h


