//
// Win32_FontImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_FontImp_h
#define vgui_Win32_FontImp_h

#include "..\FontImp.h"

namespace vgui
{
	class Win32_FontImp : public FontImp
	{
		public:
			Win32_FontImp();
			~Win32_FontImp();

		public:
			//
			// Font Interface
			//

			// Creating a font.
			virtual bool Create(const String& TypefaceName,
								uint PointSize,
								FontWeight Weight,
								FontStyle Style,
								FontFamily Family,
								FontPitch Pitch);

			virtual uint GetHeightInPixels();
			virtual uint GetHeightInPoints();

		public:
			// For attaching to existing Win32 fonts.
			void Attach(HFONT hFont);

			HFONT GetHFONT() { return m_hFont; }

		public:
			static Win32_FontImp* GetWin32_FontImp(Font *pFont)
			{
				return reinterpret_cast<Win32_FontImp*>(pFont->GetImp());
			}

		private:
			uint ConvertPointsToUnits(uint Points);
			void CalcLogPixelsY();
			void CalcFontHeight();


		private:
			// Handle of the Win32 font
			HFONT m_hFont;

			// Whether or not we own this Win32 font object.
			bool m_bOwnFont;

			// Pixel size of the display.
			static uint m_LogPixelsY;

			// Cached font dimensions
			int m_HeightInPixels;
	};

};

#endif // !vgui_Win32_FontImp_h
