//
// Win32_ImageButtonImp.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_ImageButtonImp_h
#define vgui_Win32_ImageButtonImp_h

#include "..\vgui.h"

#include "..\ImageButtonImp.h"

namespace vgui
{
	class Win32_ImageButtonImp : public ImageButtonImp
	{
		public:
			//
			// Constructor
			//
			Win32_ImageButtonImp();

			// We veto attachments to make sure they're the right
			// type of control.
			virtual void Attach(HWND hWnd);

			//
			// Set up the bitmaps for the control
			//
			bool LoadBitmaps(const BitmapResourceID& Normal,
							 const BitmapResourceID& Selected,
							 const BitmapResourceID& Focus,
							 const BitmapResourceID& Disabled);

		public:
			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID);

			virtual bool GetState();

			virtual void SetImage(TImageButton Type);

		protected:
			virtual LRESULT WindowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
			
			ControlTranslation TranslateControlNotification(const Win32_MessageInfo& MsgInfo,
															TMessageType* pMsgType,
															LRESULT* pResult,
															MessageParams* pParams);

			virtual LPCWSTR Win32_ImageButtonImp::GetThemeClass() const;

		private:
			TImageButton m_Type;

			// true if mouse is over control
			bool m_bHotTrack;
	};
};

#endif // !vgui_Win32_ImageButtonImp_h


