//
// Win32_MDIApplicationImp.h - Application Implementation Interface 
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_MDIApplicationImp_h
#define vgui_Win32_MDIApplicationImp_h

#include "Win32_ApplicationImp.h"

namespace vgui
{
	class Win32_MDIApplicationImp : public Win32_ApplicationImp
	{
		public:
			Win32_MDIApplicationImp();
			~Win32_MDIApplicationImp();

		protected:
			// Special WndProcs for MDI app windows
			static LRESULT CALLBACK vGuiFrameWndProc(HWND hWnd, 
												     UINT message, 
												     WPARAM wParam, 
												     LPARAM lParam);

			static LRESULT CALLBACK vGuiMDIChildWndProc(HWND hWnd, 
														UINT message, 
														WPARAM wParam, 
														LPARAM lParam);

			// These functions are used to create the MDIClient window.
			// Over-ride them to change default behaviour.
			virtual void CreateMDIClient(HWND hFrameWnd);
			virtual HMENU FindWindowMenu(HWND hFrameWnd);

			// Window classes are slightly different for MDI applications.
			virtual ATOM RegisterMainWindowClass();

			// Over-ride creation of certain types of windows.
			virtual HWND CreateWin32Window(Window *pWindow,
										   const Window* pParent,
										   TWindowStyle Style, 
										   const String* psWindowTitle);

			// Message loop - over-ridden to provide MDI behaviour.
			virtual WPARAM DoMessageLoop();

		private:
			// Handle to the MDI client window
			static HWND m_hwndMDIClient;

			// Name of MDI child window class
			char m_szMDIChildClass[80];
	};

	extern Win32_MDIApplicationImp *GetWin32MDIApp();
};

#endif // !vgui_Win32_MDIApplicationImp_h
