//
// Win32_MessageInfo.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_MessageInfo_h
#define vgui_Win32_MessageInfo_h

#include "..\vgui.h"

namespace vgui
{
	class Win32_MessageInfo
	{
		public:
			// Constructor
			Win32_MessageInfo() : m_ControlID(NOCTL) {}
			Win32_MessageInfo(const MSG& Msg, ControlID ID = NOCTL);

			// Raw Win32 message that started the event
			MSG m_Msg;

			// Notification code for this message
			UINT m_uNotifyCode;

			// Control ID extracted for easy access (for control
			// specific messages)
			ControlID m_ControlID;
	};

	inline Win32_MessageInfo::Win32_MessageInfo(const MSG& Msg, ControlID ID)
	{
		m_Msg = Msg;
		m_ControlID = ID;
		m_uNotifyCode = 0;
	}
};

#endif // !vgui_Win32_MessageInfo_h

