//
// Win32_PopupMenuButtonImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_PopupMenuButtonImp_h
#define vgui_Win32_PopupMenuButtonImp_h

#include "..\vgui.h"

#include "..\WindowImp_OS.h"

#include "..\ResourceID.h"
#include "..\Controls.h"

#include "..\PopupMenuButtonImp.h"

namespace vgui
{
	class PopupMenuHandler;

	/**************************************************************************
	
	>	class Win32_PopupMenuButtonImp : public PopupMenuButtonImp
	
		Author:		Tim Browse
		Date:		8/8/2002
	
		Purpose:	Provide a simple way of making a button show a popup
					menu when it is clicked.

					See PopupMenuButton.

	**************************************************************************/
	
	class Win32_PopupMenuButtonImp : public PopupMenuButtonImp
	{
		public:
			Win32_PopupMenuButtonImp();

			virtual void AttachMenu(MenuResourceID rMenu,
									PopupMenuHandler* pPopupHandler = NULL);

		private:
			Menu* GetMenu();

			ControlTranslation TranslateControlNotification(const Win32_MessageInfo& MsgInfo,
															TMessageType* pMsgType,
															LRESULT* pResult,
															MessageParams* pParams);
		private:
			PopupMenuHandler* m_pPopupHandler;
	};
};

#endif // !vgui_Win32_PopupMenuButtonImp_h
