//
// Win32_ProgressBarImp.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_ProgressBarImp_h
#define vgui_Win32_ProgressBarImp_h

#include "..\vgui.h"

#include "..\ProgressBarImp.h"

namespace vgui
{
	class Win32_ProgressBarImp : public ProgressBarImp
	{
		public:
			//
			// Constructor
			//
			Win32_ProgressBarImp() : m_Start(0), m_End(0) {}

			// We veto attachments to make sure they're the right
			// type of control.
			virtual void Attach(HWND hWnd);

			// Dynamic creation of progress bar controls
			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID);

		public:
			virtual void SetRange(int Start, int End);
			virtual void SetPosition(int Position);

		private:
			// Range - used for range translation
			int m_Start;
			int m_End;
	};
};

#endif // !vgui_Win32_ProgressBarImp_h


