//
// Win32_RedrawGCImp.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "Win32_RedrawGCImp.h"

#include "Win32_WindowImp.h"

#include "vOS\Errors.h"
#include "vOS\Trace.h"

namespace vgui
{
	void Win32_RedrawGCImp::StartRedraw(const Window *pWindow)
	{
		// Extract window handle
		HWND hWnd = Win32_WindowImp::GetHWND(pWindow);

		// Begin the paint sequence
		HDC hdc = ::BeginPaint(hWnd, &m_ps);

		if (hdc == NULL)
		{
			DWORD dwError = ::GetLastError();
			COMPLAIN("Unable to get HDC for WM_PAINT message");
			return;
		}

		// Attach to the DC/HWND
		Attach(hdc, hWnd);
	}

	void Win32_RedrawGCImp::EndRedraw()
	{
		// Finish the repaint
		::EndPaint(m_hWnd, &m_ps);
	}

	void Win32_RedrawGCImp::GetClipRect(Rect* pClipRect)
	{
		pClipRect->left   = m_ps.rcPaint.left   + m_ScrollX;
		pClipRect->top    = m_ps.rcPaint.top    + m_ScrollY;
		pClipRect->right  = m_ps.rcPaint.right  + m_ScrollX;
		pClipRect->bottom = m_ps.rcPaint.bottom + m_ScrollY;
	}

};

