//
// Win32_SliderImp.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_SliderImp_h
#define vgui_Win32_SliderImp_h

#include "..\vgui.h"

#include "..\SliderImp.h"

namespace vgui
{
	// Simple class - main work is done by Win32_WindowImp, because
	// that's the way it works under Win32.
	class Win32_SliderImp : public SliderImp
	{
		public:
			//
			// Constructor
			//
			Win32_SliderImp() {}

			// Slider interface
			virtual void SetRange(int Min, int Max);
			virtual void GetRange(int* pMin, int* pMax) const;
			virtual void SetPos(int Pos);
			virtual int GetPos() const;

			// We veto attachments to make sure they're the right
			// type of control.
			virtual void Attach(HWND hWnd);

			virtual bool Create(Window* pParent, const Rect& Position, ControlID ID);

		protected:
			// Translating Win32 Slider notification messages
			virtual ControlTranslation TranslateControlNotification(const Win32_MessageInfo& MsgInfo,
																	TMessageType* pMsgType,
																	LRESULT* pResult,
																    MessageParams* pParams);
	};
};

#endif // !vgui_Win32_WindowImp_h


