//
// Win32_TabInfo.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_TabInfo_h
#define vgui_Win32_TabInfo_h

#include "..\vgui.h"

#include <vector>

namespace vgui
{
	/**************************************************************************
	
	>	class Win32_TabInfo
	
		Author:		Tim Browse
		Date:		21/6/2002
	
		Purpose:	Hold information about one tab in the control.

					Internal use only.
	
	**************************************************************************/
	
	class Win32_TabInfo
	{
		public:
			// Constructor
			Win32_TabInfo() : m_pDialog(NULL),
							  m_ResourceID(0),
							  m_Index(-1)
			{}

		public:
			// The Dialog object for this tab
			Dialog* m_pDialog;

			// Resource ID of the template above
			DialogResourceID m_ResourceID;

			// Win32 index of the tab added for this template
			uint m_Index;
	};

	typedef std::vector<Win32_TabInfo> TabInfoVector;
};

#endif // !vgui_Win32_TabInfo_h


