//
// Win32_TabList.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_TabList_h
#define vgui_Win32_TabList_h

#include "..\vgui.h"

#include "Win32_TabInfo.h"

namespace vgui
{
	/**************************************************************************
	
	>	class Win32_TabList
	
		Author:		Tim Browse
		Date:		21/6/2002
	
		Purpose:	Hold information about a list of tabs.

					Internal use only.
	
	**************************************************************************/
	
	class Win32_TabList
	{
		public:
			// Destructor
			~Win32_TabList();

			void AddTab(Dialog* pDialog,
						const DialogResourceID& ID,
						uint Index);

			void ShowTab(uint Index);

			// Search for a tab
			bool FindByID(const DialogResourceID& ID, const Win32_TabInfo** ppTabInfo) const;
			bool FindByIndex(uint Index, const Win32_TabInfo** ppTabInfo) const;

		private:
			void GiveFocusToFirstControl(HWND hDialog);

		private:
			TabInfoVector m_Tabs;
	};
};

#endif // !vgui_Win32_TabList_h


