//
// Win32_Theme.h - Support for Windows XP themes
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_Theme_h
#define vgui_Win32_Theme_h

#include "..\vgui.h"

#include <uxtheme.h>

namespace vgui
{
	class Win32_Theme
	{
		public:
			// Called when app starts (or nothing works)
			static void Initialise();

			// Using themes...
			//
			// (Basically a reflection API for the real Themes API, but
			// this means you don't have to mess about with LoadLibrary()
			// and GetProcAddress() yourself)
			//
			static bool IsThemeActive();
			static HTHEME OpenThemeData(HWND hWnd, LPCWSTR pszClassList);
			static HRESULT CloseThemeData(HTHEME hTheme);
			static HRESULT DrawThemeBackground(HTHEME hTheme,
											   HDC hdc,
											   int iPartId,
											   int iStateId,
											   const RECT* pRect,
											   const RECT* pClipRect);
	};
};

#endif // !vgui_Win32_Theme_h
